package de.fhw.swtvertiefung.knauf.kuchenzutatbmp;
import java.util.ArrayList;
import de.fhw.swtvertiefung.knauf.kuchenzutatbmp.ZutatBMPLocal;
/**
 * Local interface for Enterprise Bean: KuchenBMP
 */
public interface KuchenBMPLocal extends javax.ejb.EJBLocalObject {
	/**Abrufen der Zutatenliste.
	 * Da hier mit BeanManagedPersistence gearbeitet wird, wird die Liste manuell als Liste von LocalInterfaces
	 * erzeugt.
	 * Fraglich ist, ob es auch mglich wre, nur mit "getZutaten" zu arbeiten, da dort ebenfalls die LocalInterfaces
	 * manuell erzeugt werden.
	 * @return Eine Liste aller Zutaten.
	 */
	public ArrayList getZutatenListe();
	/**Hinzufgen einer Zutat zu den Zutaten dieses Kuchens (die einzige Business-Methode).
	 * Hier werden die relevanten Felder der Zutat bergeben, die Bean setzt selbst die Kuchen-Id.
	 * Alle Fehler werden in EJBExceptions umgewandelt.
	 * @param str_ZutatName Name der Zutat.
	 * @param str_Menge Erforderliche Menge
	 * @return Die erzeugte Zutat.
	 */
	public ZutatBMPLocal addZutat(String str_ZutatName, String str_Menge);
	/**Setzen des Kuchen-Namens. Darf hier nicht abstrakt sein.
	 * @param str_Name der Name
	 */
	public void setName(String str_Name);
	/**Abrufen des Kuchen-Namens. Darf hier nicht abstrakt sein.
	 * @return der Kuchen-Name.
	 */
	public String getName();
	//////////////////////////////////////////////////////////////////////////////////
	//                   Zugriffsmethoden fr die Felder                            //
	//////////////////////////////////////////////////////////////////////////////////

	/**Abrufen der Kuchen-ID. Darf hier nicht abstrakt sein.
	 * Es gibt keine Set-Methode dazu (weil es das PrimaryKey-Feld ist).
	 * @return Die Kuchen-ID.
	 */
	public Long getId();
}
