package de.fhw.swtvertiefung.knauf.kuchenzutatbmp;
import javax.ejb.CreateException;
import javax.ejb.FinderException;
/**
 * Local Home interface for Enterprise Bean: ZutatBMP
 */
public interface ZutatBMPLocalHome extends javax.ejb.EJBLocalHome {
	/**
	 * Finds an instance using a key for Entity Bean: ZutatBMP
	 */
	public de.fhw.swtvertiefung.knauf.kuchenzutatbmp.ZutatBMPLocal findByPrimaryKey(
		java.lang.Long primaryKey) throws javax.ejb.FinderException;
	/**Ermitteln der nchsten verfgbaren Zutat-ID.
	 * @return Die neue Zutat-ID, 1 grer als die maximal vorhandene ID. Wenn es keine gibt,
	 * wird "1" zurckgeliefert.
	 */
	public java.lang.Long getNextId();
	//////////////////////////////////////////////////////////////////////////////////
	//                          Weitere Methoden                                    //
	//////////////////////////////////////////////////////////////////////////////////

	/**Erzeugen eines Zutat-Objekts, wobei Name, Menge und Kuchen-ID angegeben wird. Der Key wird in der Methode
	 * erzeugt.
	 * @param str_Name Der Name der Zutat
	 * @param str_Menge Die Menge der Zutat
	 * @param lng_KuchenId Die ID des zugehrigen Kuchens.
	 * @return Die ID der Zutat.
	 * @exception CreateException Fehler beim Erzeugen.
	 */
	public de.fhw.swtvertiefung.knauf.kuchenzutatbmp.ZutatBMPLocal createByNameMengeKuchenId(
		String str_Name,
		String str_Menge,
		Long lng_KuchenId) throws CreateException;
	/**Laden aller Zutaten-Objekte eines Kuchens
	 * @param lng_KuchenId Fr diesen Kuchen werden die Zutaten gesucht.
	 * @return Eine Collection aller Zutaten eines Kuchens.
	 * @exception FinderException Fehler beim Finden.
	 * @exception RemoteException Bei Netzwerkfehlern.
	 */
	public java.util.Collection findByKuchenId(Long lng_KuchenId)
		throws FinderException;
}
